unit uSecondUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uNotifier, StdCtrls;

type
  TForm2 = class(TForm)
    Memo1: TMemo;
  private
    procedure MemoUpdater(Broadcaster:TObject;AMessage:TMessageClass;Data:TObject);
    { Private declarations }
  public
    constructor Create(AOwner:TComponent);override;
    destructor Destroy;override;
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}

{ TForm2 }

constructor TForm2.Create(AOwner: TComponent);
begin
  inherited;
  TNotifier.AddListener(AOwner,MemoUpdater);

end;

destructor TForm2.Destroy;
begin
  TNotifier.RemListener(Owner,MemoUpdater);
  inherited;
end;

procedure TForm2.MemoUpdater(Broadcaster: TObject; AMessage: TMessageClass; Data: TObject);
var
  AMemo:TMemo absolute Data;
begin
  if (AMessage = TUpdateMessage) then
  begin
    Memo1.Text := AMemo.Text;
  end;

  Memo1.Text := Memo1.Text + sLineBreak + TMessage.TextToMessage(AMessage.AsString).ClassName;
end;

end.

